package com.example.administrator.zhapp.entity;

import java.util.List;

/**
 * 验收与批准接收
 */
public class YsPzjsInfo {


    /**
     * Rows : [{"ponum":"P1602009","description":"14327 设备部管理室 LED高顶灯等","siteid":"ZHPS","status":"批准采购单","vendor":"1884","name":"台山市中建物资有限公司","receipts":"部分","itemnum":"IT54274","description1":"LED高顶灯","receiptquantity":"10","receivedunit":"个","issuetype":"接收","acceptedqty":"0","rejectqtydisplay":"icon7","rejectcode":"","tolot":"1217","tostoreloc":"ZHPS","tobin":"缺省","inspectedqtydsply":"0","pretaxtotal":"0","receivedtotalcost":"0","unitcost":"3350.43"}]
     * Total : icon1
     */

    private int Total;
    /**
     * ponum : P1602009
     * description : 14327 设备部管理室 LED高顶灯等
     * siteid : ZHPS
     * status : 批准采购单
     * vendor : 1884
     * name : 台山市中建物资有限公司
     * receipts : 部分
     * itemnum : IT54274
     * description1 : LED高顶灯
     * receiptquantity : 10
     * receivedunit : 个
     * issuetype : 接收
     * acceptedqty : 0
     * rejectqtydisplay : icon7
     * rejectcode :
     * tolot : 1217
     * tostoreloc : ZHPS
     * tobin : 缺省
     * inspectedqtydsply : 0
     * pretaxtotal : 0
     * receivedtotalcost : 0
     * unitcost : 3350.43
     */

    private List<YsPzjs> Rows;

    public int getTotal() {
        return Total;
    }

    public void setTotal(int Total) {
        this.Total = Total;
    }

    public List<YsPzjs> getRows() {
        return Rows;
    }

    public void setRows(List<YsPzjs> Rows) {
        this.Rows = Rows;
    }

    public static class YsPzjs {
        private String ponum;
        private String description;
        private String siteid;
        private String status;
        private String vendor;
        private String name;
        private String receipts;
        private String itemnum;
        private String description1;
        private String receiptquantity;
        private String receivedunit;
        private String issuetype;
        private String acceptedqty;
        private String rejectqtydisplay;
        private String rejectcode;
        private String tolot;
        private String tostoreloc;
        private String tobin;
        private String inspectedqtydsply;
        private String pretaxtotal;
        private String receivedtotalcost;
        private String unitcost;
        private String enterby;//用户名
        private String inspectedqty;
        private String polinenum;
        private String actualdate;
        private String itemid;

        public String getItemid() {
            return itemid;
        }

        public void setItemid(String itemid) {
            this.itemid = itemid;
        }

        public String getActualdate() {
            return actualdate;
        }

        public void setActualdate(String actualdate) {
            this.actualdate = actualdate;
        }

        public String getPolinenum() {
            return polinenum;
        }

        public void setPolinenum(String polinenum) {
            this.polinenum = polinenum;
        }

        public String getInspectedqty() {
            return inspectedqty;
        }

        public void setInspectedqty(String inspectedqty) {
            this.inspectedqty = inspectedqty;
        }

        public String getEnterby() {
            return enterby;
        }

        public void setEnterby(String enterby) {
            this.enterby = enterby;
        }

        private boolean isChecked;


        public boolean isChecked() {
            return isChecked;
        }

        public void setChecked(boolean checked) {
            isChecked = checked;
        }

        public String getPonum() {
            return ponum;
        }

        public void setPonum(String ponum) {
            this.ponum = ponum;
        }

        public String getDescription() {
            return description;
        }

        public void setDescription(String description) {
            this.description = description;
        }

        public String getSiteid() {
            return siteid;
        }

        public void setSiteid(String siteid) {
            this.siteid = siteid;
        }

        public String getStatus() {
            return status;
        }

        public void setStatus(String status) {
            this.status = status;
        }

        public String getVendor() {
            return vendor;
        }

        public void setVendor(String vendor) {
            this.vendor = vendor;
        }

        public String getName() {
            return name;
        }

        public void setName(String name) {
            this.name = name;
        }

        public String getReceipts() {
            return receipts;
        }

        public void setReceipts(String receipts) {
            this.receipts = receipts;
        }

        public String getItemnum() {
            return itemnum;
        }

        public void setItemnum(String itemnum) {
            this.itemnum = itemnum;
        }

        public String getDescription1() {
            return description1;
        }

        public void setDescription1(String description1) {
            this.description1 = description1;
        }

        public String getReceiptquantity() {
            return receiptquantity;
        }

        public void setReceiptquantity(String receiptquantity) {
            this.receiptquantity = receiptquantity;
        }

        public String getReceivedunit() {
            return receivedunit;
        }

        public void setReceivedunit(String receivedunit) {
            this.receivedunit = receivedunit;
        }

        public String getIssuetype() {
            return issuetype;
        }

        public void setIssuetype(String issuetype) {
            this.issuetype = issuetype;
        }

        public String getAcceptedqty() {
            return acceptedqty;
        }

        public void setAcceptedqty(String acceptedqty) {
            this.acceptedqty = acceptedqty;
        }

        public String getRejectqtydisplay() {
            return rejectqtydisplay;
        }

        public void setRejectqtydisplay(String rejectqtydisplay) {
            this.rejectqtydisplay = rejectqtydisplay;
        }

        public String getRejectcode() {
            return rejectcode;
        }

        public void setRejectcode(String rejectcode) {
            this.rejectcode = rejectcode;
        }

        public String getTolot() {
            return tolot;
        }

        public void setTolot(String tolot) {
            this.tolot = tolot;
        }

        public String getTostoreloc() {
            return tostoreloc;
        }

        public void setTostoreloc(String tostoreloc) {
            this.tostoreloc = tostoreloc;
        }

        public String getTobin() {
            return tobin;
        }

        public void setTobin(String tobin) {
            this.tobin = tobin;
        }

        public String getInspectedqtydsply() {
            return inspectedqtydsply;
        }

        public void setInspectedqtydsply(String inspectedqtydsply) {
            this.inspectedqtydsply = inspectedqtydsply;
        }

        public String getPretaxtotal() {
            return pretaxtotal;
        }

        public void setPretaxtotal(String pretaxtotal) {
            this.pretaxtotal = pretaxtotal;
        }

        public String getReceivedtotalcost() {
            return receivedtotalcost;
        }

        public void setReceivedtotalcost(String receivedtotalcost) {
            this.receivedtotalcost = receivedtotalcost;
        }

        public String getUnitcost() {
            return unitcost;
        }

        public void setUnitcost(String unitcost) {
            this.unitcost = unitcost;
        }
    }
}
